#pragma once

#include "managedObject.hpp"

#include <psp2/gxm.h>
#include <psp2/kernel/sysmem.h>

namespace render::kernel
{

class GpuVertexUsseBuffer : public ManagedObject
{
public:
    void *data;
    SceUID uid;
    unsigned int offset;

    GpuVertexUsseBuffer(size_t size);
    virtual ~GpuVertexUsseBuffer();
};

} // namespace render::kernel